Firefoxのアドオンの互換性を無効化する方法

  • 投稿日:
  • by
  • カテゴリ:

最新バージョンのFirefoxに対応していないアドオンでも、ひょっとしたら動かせるかもしれない!方法のメモです。
Googleツールバーなど、ウェブ開発に必須のツールはまだまだ沢山あるのです。

※注意※

自己責任でお願いします。
下記の手順を実行した事による不具合・損害の責任は私には負えませんので、この点を了解頂ける方のみ読み進めて下さい。

(1)Firefoxを起動

(2)アドレスバーに下記の文字列を入力して、「Enter」キーを押す

about:config

Fx-compatible-01.png

 

(3)「この操作は危険です」というような内容の警告が出るので、認識した上で『OK』をクリック

(4)「検索(R):」に下記の文字列を入力

compa

Fx-compatible-02.png

 

(5)「extensions.checkCompatibility.●●」という文字列に絞られて表示される。

(6)どれでも良いので、マウスでクリックして行の背景が青色の選択状態にしてから、マウスの右クリックをして、「名前をコピー(N)」をクリック

Fx-compatible-03.png

 

(7)続けて、そのまま、再度、どこでも良いので、マウスを右クリックし、「新規作成(W)」 → 「真偽値(B)...」 をクリック

Fx-compatible-04.png

(8)設定名を入力するウィンドウが表示されるので、数字の部分を新しいバージョン番号にします。

アルファ版の時は数字の後に「a」を付けます

【例】extensions.checkCompatibility.15.0a

Fx-compatible-05.png

 

(9)「真偽値」を選択するウィンドウが表示されるので、「false」を選択して「OK」をクリック

Fx-compatible-06.png

 

(10)about:configの画面に新しい値が追加されます

Fx-compatible-07.png

 

(11)Firefoxを再起動します

(12)「ツール」 → 「アドオン」をクリックして、下記の表示が出たら設定成功

アドオンの互換性確認は無効化されています。互換性のないアドオンがインストールされています。

Fx-compatible-000.png

 

「Googleツールバー」の設定のところは下記のように表示されます

Fx-compatible-00.png

 

もう少し簡単に設定出来ると良いのですが、上級者向けなので、上記手順でも良いのかもしれませんね。

更に、私は「Add-on Compatibility Reporter」というアドオンを入れています。アドオンに互換性があるかどうかをMozillaを通じてアドオン開発者にお知らせ出来るらしいですが、役に立ってるかどうかは分かりません^o^;